#define SCALE (127/14)
const int queen[] IN_ROM = {
  0,-10*SCALE,5*SCALE,

  -1,0*SCALE,-10*SCALE,
  -1,2*SCALE,3*SCALE,
  -1,10*SCALE,0*SCALE,
  -1,0*SCALE,-2*SCALE,
  -1,10*SCALE,0*SCALE,
  -1,-4*SCALE,2*SCALE,
  -1,4*SCALE,2*SCALE,
  -1,-4*SCALE,2*SCALE,
  -1,4*SCALE,2*SCALE,
  -1,-10*SCALE,0*SCALE,
  -1,0*SCALE,-2*SCALE,
  -1,-10*SCALE,0*SCALE,
  -1,-2*SCALE,3*SCALE,
     1
};

const MovableVLp QueenVLp = { .points = ((sizeof queen)-1)/3,
                              .packet_data = queen };

static const Rotatable_VLp_Object Queen[4] IN_ROM = {
  {RotatableVL,
   0, 0, 0, /* rotating */ 2, 0x7F /* Intensity */, 127, SCALE, /* intensity is not changable so in ROM area */
   (MovableVLp *)&QueenVLp},
  {RotatableVL,
   0, 0, 0, 0, 0x7F, 127, SCALE, /* intensity is not changable so in ROM area */
   (MovableVLp *)&QueenVLp},
  {RotatableVL,
   0, 0, 0, /* rotating faster */ 3, 0x7F, 127, SCALE, /* intensity is not changable so in ROM area */
   (MovableVLp *)&QueenVLp},
  {RotatableVL,
   0, 0, 32 /* pointing up/right (45 degrees) */, 0, 0x7F, 127, SCALE, /* intensity is not changable so in ROM area */
   (MovableVLp *)&QueenVLp},
};
