#define SHIP_MOVE_SCALE	0x80
#define SHIP_DRAW_SCALE	0x18 /* 0x08 */

#define BLOW_UP 6

const signed char ship_skin0[] IN_ROM = {
	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +0*BLOW_UP, -13*BLOW_UP, // mode, y, x
	(signed char) -1, -6*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) +0, +0*BLOW_UP, +10*BLOW_UP, // mode, y, x
	(signed char) -1, -4*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +0, +4*BLOW_UP, -18*BLOW_UP, // mode, y, x
	(signed char) -1, -3*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +1, -3*BLOW_UP, +15*BLOW_UP, // sync and move to y, x
	(signed char) +0, +3*BLOW_UP, -18*BLOW_UP, // mode, y, x
	(signed char) -1, +2*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +0, -2*BLOW_UP, -18*BLOW_UP, // mode, y, x
	(signed char) -1, +3*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +0, -7*BLOW_UP, +0*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -9*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +13*BLOW_UP, -13*BLOW_UP, // draw, y, x
	(signed char) +0, +3*BLOW_UP, +18*BLOW_UP, // mode, y, x
	(signed char) -1, +9*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -12*BLOW_UP, -13*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin1[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -3*BLOW_UP, -13*BLOW_UP, // mode, y, x
	(signed char) -1, -5*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) +0, +2*BLOW_UP, +10*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, +19*BLOW_UP, // draw, y, x
	(signed char) +0, -1*BLOW_UP, -19*BLOW_UP, // mode, y, x
	(signed char) -1, +2*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +1, +1*BLOW_UP, +15*BLOW_UP, // sync and move to y, x
	(signed char) +0, -2*BLOW_UP, -18*BLOW_UP, // mode, y, x
	(signed char) -1, +7*BLOW_UP, +17*BLOW_UP, // draw, y, x
	(signed char) +0, -7*BLOW_UP, -17*BLOW_UP, // mode, y, x
	(signed char) -1, +8*BLOW_UP, +17*BLOW_UP, // draw, y, x
	(signed char) +0, -7*BLOW_UP, +2*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) -1, -10*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, +9*BLOW_UP, -16*BLOW_UP, // draw, y, x
	(signed char) +0, +8*BLOW_UP, +17*BLOW_UP, // mode, y, x
	(signed char) -1, +7*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -15*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin2[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -6*BLOW_UP, -11*BLOW_UP, // mode, y, x
	(signed char) -1, -3*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +8*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) -1, +2*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -2*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) +0, +5*BLOW_UP, +8*BLOW_UP, // mode, y, x
	(signed char) -1, +5*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +0, -5*BLOW_UP, -18*BLOW_UP, // mode, y, x
	(signed char) -1, +6*BLOW_UP, +17*BLOW_UP, // draw, y, x
	(signed char) +1, +5*BLOW_UP, +14*BLOW_UP, // sync and move to y, x
	(signed char) +0, -6*BLOW_UP, -17*BLOW_UP, // mode, y, x
	(signed char) -1, +10*BLOW_UP, +15*BLOW_UP, // draw, y, x
	(signed char) +0, -10*BLOW_UP, -15*BLOW_UP, // mode, y, x
	(signed char) -1, +11*BLOW_UP, +14*BLOW_UP, // draw, y, x
	(signed char) +0, -6*BLOW_UP, +4*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, -10*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +0, +11*BLOW_UP, +14*BLOW_UP, // mode, y, x
	(signed char) -1, +5*BLOW_UP, -8*BLOW_UP, // draw, y, x
	(signed char) -1, -16*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin3[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -9*BLOW_UP, -9*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, +8*BLOW_UP, // draw, y, x
	(signed char) -1, +8*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) +0, +7*BLOW_UP, +7*BLOW_UP, // mode, y, x
	(signed char) -1, +10*BLOW_UP, +15*BLOW_UP, // draw, y, x
	(signed char) +0, -10*BLOW_UP, -15*BLOW_UP, // mode, y, x
	(signed char) -1, +10*BLOW_UP, +15*BLOW_UP, // draw, y, x
	(signed char) +1, +8*BLOW_UP, +13*BLOW_UP, // sync and move to y, x
	(signed char) +0, -10*BLOW_UP, -15*BLOW_UP, // mode, y, x
	(signed char) -1, +14*BLOW_UP, +11*BLOW_UP, // draw, y, x
	(signed char) +0, -14*BLOW_UP, -11*BLOW_UP, // mode, y, x
	(signed char) -1, +15*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) +0, -5*BLOW_UP, +5*BLOW_UP, // mode, y, x
	(signed char) -1, +0*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, -10*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +0, +15*BLOW_UP, +10*BLOW_UP, // mode, y, x
	(signed char) -1, +3*BLOW_UP, -9*BLOW_UP, // draw, y, x
	(signed char) -1, -18*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin4[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -11*BLOW_UP, -7*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, +8*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) +0, +8*BLOW_UP, +5*BLOW_UP, // mode, y, x
	(signed char) -1, +14*BLOW_UP, +13*BLOW_UP, // draw, y, x
	(signed char) +0, -14*BLOW_UP, -13*BLOW_UP, // mode, y, x
	(signed char) -1, +14*BLOW_UP, +12*BLOW_UP, // draw, y, x
	(signed char) +1, +11*BLOW_UP, +10*BLOW_UP, // sync and move to y, x
	(signed char) +0, -14*BLOW_UP, -12*BLOW_UP, // mode, y, x
	(signed char) -1, +17*BLOW_UP, +8*BLOW_UP, // draw, y, x
	(signed char) +0, -17*BLOW_UP, -8*BLOW_UP, // mode, y, x
	(signed char) -1, +17*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) +0, -3*BLOW_UP, +6*BLOW_UP, // mode, y, x
	(signed char) -1, +0*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, -9*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +0, +17*BLOW_UP, +7*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) -1, -18*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin5[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -13*BLOW_UP, -3*BLOW_UP, // mode, y, x
	(signed char) -1, +4*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) +0, +10*BLOW_UP, +2*BLOW_UP, // mode, y, x
	(signed char) -1, +16*BLOW_UP, +9*BLOW_UP, // draw, y, x
	(signed char) +0, -16*BLOW_UP, -9*BLOW_UP, // mode, y, x
	(signed char) -1, +17*BLOW_UP, +8*BLOW_UP, // draw, y, x
	(signed char) +1, +14*BLOW_UP, +7*BLOW_UP, // sync and move to y, x
	(signed char) +0, -17*BLOW_UP, -8*BLOW_UP, // mode, y, x
	(signed char) -1, +18*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) +0, -18*BLOW_UP, -3*BLOW_UP, // mode, y, x
	(signed char) -1, +18*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) +0, -2*BLOW_UP, +7*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -2*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, -9*BLOW_UP, -16*BLOW_UP, // draw, y, x
	(signed char) +0, +18*BLOW_UP, +2*BLOW_UP, // mode, y, x
	(signed char) -1, -2*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) -1, -16*BLOW_UP, +8*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin6[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -13*BLOW_UP, +0*BLOW_UP, // mode, y, x
	(signed char) -1, +5*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) +0, +10*BLOW_UP, +0*BLOW_UP, // mode, y, x
	(signed char) -1, +18*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) +0, -18*BLOW_UP, -4*BLOW_UP, // mode, y, x
	(signed char) -1, +18*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) +1, +15*BLOW_UP, +3*BLOW_UP, // sync and move to y, x
	(signed char) +0, -18*BLOW_UP, -3*BLOW_UP, // mode, y, x
	(signed char) -1, +18*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) +0, -18*BLOW_UP, +2*BLOW_UP, // mode, y, x
	(signed char) -1, +18*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) +0, +0*BLOW_UP, +7*BLOW_UP, // mode, y, x
	(signed char) -1, +0*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +9*BLOW_UP, // draw, y, x
	(signed char) -1, -13*BLOW_UP, -13*BLOW_UP, // draw, y, x
	(signed char) +0, +18*BLOW_UP, -3*BLOW_UP, // mode, y, x
	(signed char) -1, -5*BLOW_UP, -9*BLOW_UP, // draw, y, x
	(signed char) -1, -13*BLOW_UP, +12*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin7[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -13*BLOW_UP, +3*BLOW_UP, // mode, y, x
	(signed char) -1, +7*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) +0, +10*BLOW_UP, -2*BLOW_UP, // mode, y, x
	(signed char) -1, +19*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) +0, -19*BLOW_UP, +1*BLOW_UP, // mode, y, x
	(signed char) -1, +18*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) +1, +15*BLOW_UP, -1*BLOW_UP, // sync and move to y, x
	(signed char) +0, -18*BLOW_UP, +2*BLOW_UP, // mode, y, x
	(signed char) -1, +17*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) +0, -17*BLOW_UP, +7*BLOW_UP, // mode, y, x
	(signed char) -1, +17*BLOW_UP, -8*BLOW_UP, // draw, y, x
	(signed char) +0, +2*BLOW_UP, +7*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +2*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) -1, -16*BLOW_UP, -9*BLOW_UP, // draw, y, x
	(signed char) +0, +17*BLOW_UP, -8*BLOW_UP, // mode, y, x
	(signed char) -1, -7*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -10*BLOW_UP, +15*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin8[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -11*BLOW_UP, +6*BLOW_UP, // mode, y, x
	(signed char) -1, +7*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -8*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -2*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) +0, +8*BLOW_UP, -5*BLOW_UP, // mode, y, x
	(signed char) -1, +18*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) +0, -18*BLOW_UP, +5*BLOW_UP, // mode, y, x
	(signed char) -1, +17*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) +1, +14*BLOW_UP, -5*BLOW_UP, // sync and move to y, x
	(signed char) +0, -17*BLOW_UP, +6*BLOW_UP, // mode, y, x
	(signed char) -1, +15*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) +0, -15*BLOW_UP, +10*BLOW_UP, // mode, y, x
	(signed char) -1, +14*BLOW_UP, -11*BLOW_UP, // draw, y, x
	(signed char) +0, +4*BLOW_UP, +6*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -2*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) -1, -18*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) +0, +14*BLOW_UP, -11*BLOW_UP, // mode, y, x
	(signed char) -1, -8*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, +16*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin9[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -9*BLOW_UP, +9*BLOW_UP, // mode, y, x
	(signed char) -1, +8*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -8*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) +0, +7*BLOW_UP, -7*BLOW_UP, // mode, y, x
	(signed char) -1, +15*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) +0, -15*BLOW_UP, +10*BLOW_UP, // mode, y, x
	(signed char) -1, +15*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) +1, +13*BLOW_UP, -8*BLOW_UP, // sync and move to y, x
	(signed char) +0, -15*BLOW_UP, +10*BLOW_UP, // mode, y, x
	(signed char) -1, +11*BLOW_UP, -14*BLOW_UP, // draw, y, x
	(signed char) +0, -11*BLOW_UP, +14*BLOW_UP, // mode, y, x
	(signed char) -1, +10*BLOW_UP, -15*BLOW_UP, // draw, y, x
	(signed char) +0, +5*BLOW_UP, +5*BLOW_UP, // mode, y, x
	(signed char) -1, +0*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) -1, -18*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) +0, +10*BLOW_UP, -15*BLOW_UP, // mode, y, x
	(signed char) -1, -9*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin10[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -7*BLOW_UP, +11*BLOW_UP, // mode, y, x
	(signed char) -1, +8*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, +2*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -2*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) +0, +5*BLOW_UP, -8*BLOW_UP, // mode, y, x
	(signed char) -1, +13*BLOW_UP, -14*BLOW_UP, // draw, y, x
	(signed char) +0, -13*BLOW_UP, +14*BLOW_UP, // mode, y, x
	(signed char) -1, +12*BLOW_UP, -14*BLOW_UP, // draw, y, x
	(signed char) +1, +10*BLOW_UP, -11*BLOW_UP, // sync and move to y, x
	(signed char) +0, -12*BLOW_UP, +14*BLOW_UP, // mode, y, x
	(signed char) -1, +8*BLOW_UP, -17*BLOW_UP, // draw, y, x
	(signed char) +0, -8*BLOW_UP, +17*BLOW_UP, // mode, y, x
	(signed char) -1, +7*BLOW_UP, -17*BLOW_UP, // draw, y, x
	(signed char) +0, +6*BLOW_UP, +3*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +9*BLOW_UP, // draw, y, x
	(signed char) -1, -18*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) +0, +7*BLOW_UP, -17*BLOW_UP, // mode, y, x
	(signed char) -1, -10*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin11[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, -3*BLOW_UP, +13*BLOW_UP, // mode, y, x
	(signed char) -1, +7*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) +0, +2*BLOW_UP, -10*BLOW_UP, // mode, y, x
	(signed char) -1, +9*BLOW_UP, -16*BLOW_UP, // draw, y, x
	(signed char) +0, -9*BLOW_UP, +16*BLOW_UP, // mode, y, x
	(signed char) -1, +8*BLOW_UP, -17*BLOW_UP, // draw, y, x
	(signed char) +1, +7*BLOW_UP, -14*BLOW_UP, // sync and move to y, x
	(signed char) +0, -8*BLOW_UP, +17*BLOW_UP, // mode, y, x
	(signed char) -1, +3*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +0, -3*BLOW_UP, +18*BLOW_UP, // mode, y, x
	(signed char) -1, +2*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +0, +7*BLOW_UP, +2*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, -16*BLOW_UP, +9*BLOW_UP, // draw, y, x
	(signed char) +0, +2*BLOW_UP, -18*BLOW_UP, // mode, y, x
	(signed char) -1, -10*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) -1, +8*BLOW_UP, +16*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin12[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +0*BLOW_UP, +13*BLOW_UP, // mode, y, x
	(signed char) -1, +6*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) +0, +0*BLOW_UP, -10*BLOW_UP, // mode, y, x
	(signed char) -1, +4*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +0, -4*BLOW_UP, +18*BLOW_UP, // mode, y, x
	(signed char) -1, +3*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +1, +3*BLOW_UP, -15*BLOW_UP, // sync and move to y, x
	(signed char) +0, -3*BLOW_UP, +18*BLOW_UP, // mode, y, x
	(signed char) -1, -2*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +0, +2*BLOW_UP, +18*BLOW_UP, // mode, y, x
	(signed char) -1, -3*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +0, +7*BLOW_UP, +0*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +9*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, -13*BLOW_UP, +13*BLOW_UP, // draw, y, x
	(signed char) +0, -3*BLOW_UP, -18*BLOW_UP, // mode, y, x
	(signed char) -1, -9*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +12*BLOW_UP, +13*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin13[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +3*BLOW_UP, +13*BLOW_UP, // mode, y, x
	(signed char) -1, +5*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) +0, -2*BLOW_UP, -10*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, -19*BLOW_UP, // draw, y, x
	(signed char) +0, +1*BLOW_UP, +19*BLOW_UP, // mode, y, x
	(signed char) -1, -2*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +1, -1*BLOW_UP, -15*BLOW_UP, // sync and move to y, x
	(signed char) +0, +2*BLOW_UP, +18*BLOW_UP, // mode, y, x
	(signed char) -1, -7*BLOW_UP, -17*BLOW_UP, // draw, y, x
	(signed char) +0, +7*BLOW_UP, +17*BLOW_UP, // mode, y, x
	(signed char) -1, -8*BLOW_UP, -17*BLOW_UP, // draw, y, x
	(signed char) +0, +7*BLOW_UP, -2*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) -1, +10*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, -9*BLOW_UP, +16*BLOW_UP, // draw, y, x
	(signed char) +0, -8*BLOW_UP, -17*BLOW_UP, // mode, y, x
	(signed char) -1, -7*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +15*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin14[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +6*BLOW_UP, +11*BLOW_UP, // mode, y, x
	(signed char) -1, +3*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -8*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) -1, -2*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +2*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) +0, -5*BLOW_UP, -8*BLOW_UP, // mode, y, x
	(signed char) -1, -5*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +0, +5*BLOW_UP, +18*BLOW_UP, // mode, y, x
	(signed char) -1, -6*BLOW_UP, -17*BLOW_UP, // draw, y, x
	(signed char) +1, -5*BLOW_UP, -14*BLOW_UP, // sync and move to y, x
	(signed char) +0, +6*BLOW_UP, +17*BLOW_UP, // mode, y, x
	(signed char) -1, -10*BLOW_UP, -15*BLOW_UP, // draw, y, x
	(signed char) +0, +10*BLOW_UP, +15*BLOW_UP, // mode, y, x
	(signed char) -1, -11*BLOW_UP, -14*BLOW_UP, // draw, y, x
	(signed char) +0, +6*BLOW_UP, -4*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, +10*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +0, -11*BLOW_UP, -14*BLOW_UP, // mode, y, x
	(signed char) -1, -5*BLOW_UP, +8*BLOW_UP, // draw, y, x
	(signed char) -1, +16*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin15[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +9*BLOW_UP, +9*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, -8*BLOW_UP, // draw, y, x
	(signed char) -1, -8*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) +0, -7*BLOW_UP, -7*BLOW_UP, // mode, y, x
	(signed char) -1, -10*BLOW_UP, -15*BLOW_UP, // draw, y, x
	(signed char) +0, +10*BLOW_UP, +15*BLOW_UP, // mode, y, x
	(signed char) -1, -10*BLOW_UP, -15*BLOW_UP, // draw, y, x
	(signed char) +1, -8*BLOW_UP, -13*BLOW_UP, // sync and move to y, x
	(signed char) +0, +10*BLOW_UP, +15*BLOW_UP, // mode, y, x
	(signed char) -1, -14*BLOW_UP, -11*BLOW_UP, // draw, y, x
	(signed char) +0, +14*BLOW_UP, +11*BLOW_UP, // mode, y, x
	(signed char) -1, -15*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) +0, +5*BLOW_UP, -5*BLOW_UP, // mode, y, x
	(signed char) -1, +0*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +10*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +0, -15*BLOW_UP, -10*BLOW_UP, // mode, y, x
	(signed char) -1, -3*BLOW_UP, +9*BLOW_UP, // draw, y, x
	(signed char) -1, +18*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin16[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +11*BLOW_UP, +7*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, -8*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) +0, -8*BLOW_UP, -5*BLOW_UP, // mode, y, x
	(signed char) -1, -14*BLOW_UP, -13*BLOW_UP, // draw, y, x
	(signed char) +0, +14*BLOW_UP, +13*BLOW_UP, // mode, y, x
	(signed char) -1, -14*BLOW_UP, -12*BLOW_UP, // draw, y, x
	(signed char) +1, -11*BLOW_UP, -10*BLOW_UP, // sync and move to y, x
	(signed char) +0, +14*BLOW_UP, +12*BLOW_UP, // mode, y, x
	(signed char) -1, -17*BLOW_UP, -8*BLOW_UP, // draw, y, x
	(signed char) +0, +17*BLOW_UP, +8*BLOW_UP, // mode, y, x
	(signed char) -1, -17*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) +0, +3*BLOW_UP, -6*BLOW_UP, // mode, y, x
	(signed char) -1, +0*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, +9*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +0, -17*BLOW_UP, -7*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) -1, +18*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin17[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +13*BLOW_UP, +3*BLOW_UP, // mode, y, x
	(signed char) -1, -4*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) +0, -10*BLOW_UP, -2*BLOW_UP, // mode, y, x
	(signed char) -1, -16*BLOW_UP, -9*BLOW_UP, // draw, y, x
	(signed char) +0, +16*BLOW_UP, +9*BLOW_UP, // mode, y, x
	(signed char) -1, -17*BLOW_UP, -8*BLOW_UP, // draw, y, x
	(signed char) +1, -14*BLOW_UP, -7*BLOW_UP, // sync and move to y, x
	(signed char) +0, +17*BLOW_UP, +8*BLOW_UP, // mode, y, x
	(signed char) -1, -18*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) +0, +18*BLOW_UP, +3*BLOW_UP, // mode, y, x
	(signed char) -1, -18*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) +0, +2*BLOW_UP, -7*BLOW_UP, // mode, y, x
	(signed char) -1, -1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +2*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, +9*BLOW_UP, +16*BLOW_UP, // draw, y, x
	(signed char) +0, -18*BLOW_UP, -2*BLOW_UP, // mode, y, x
	(signed char) -1, +2*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) -1, +16*BLOW_UP, -8*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin18[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +13*BLOW_UP, +0*BLOW_UP, // mode, y, x
	(signed char) -1, -5*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) +0, -10*BLOW_UP, +0*BLOW_UP, // mode, y, x
	(signed char) -1, -18*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) +0, +18*BLOW_UP, +4*BLOW_UP, // mode, y, x
	(signed char) -1, -18*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) +1, -15*BLOW_UP, -3*BLOW_UP, // sync and move to y, x
	(signed char) +0, +18*BLOW_UP, +3*BLOW_UP, // mode, y, x
	(signed char) -1, -18*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) +0, +18*BLOW_UP, -2*BLOW_UP, // mode, y, x
	(signed char) -1, -18*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) +0, +0*BLOW_UP, -7*BLOW_UP, // mode, y, x
	(signed char) -1, +0*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -9*BLOW_UP, // draw, y, x
	(signed char) -1, +13*BLOW_UP, +13*BLOW_UP, // draw, y, x
	(signed char) +0, -18*BLOW_UP, +3*BLOW_UP, // mode, y, x
	(signed char) -1, +5*BLOW_UP, +9*BLOW_UP, // draw, y, x
	(signed char) -1, +13*BLOW_UP, -12*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin19[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +13*BLOW_UP, -3*BLOW_UP, // mode, y, x
	(signed char) -1, -7*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) +0, -10*BLOW_UP, +2*BLOW_UP, // mode, y, x
	(signed char) -1, -19*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) +0, +19*BLOW_UP, -1*BLOW_UP, // mode, y, x
	(signed char) -1, -18*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) +1, -15*BLOW_UP, +1*BLOW_UP, // sync and move to y, x
	(signed char) +0, +18*BLOW_UP, -2*BLOW_UP, // mode, y, x
	(signed char) -1, -17*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) +0, +17*BLOW_UP, -7*BLOW_UP, // mode, y, x
	(signed char) -1, -17*BLOW_UP, +8*BLOW_UP, // draw, y, x
	(signed char) +0, -2*BLOW_UP, -7*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -2*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) -1, +16*BLOW_UP, +9*BLOW_UP, // draw, y, x
	(signed char) +0, -17*BLOW_UP, +8*BLOW_UP, // mode, y, x
	(signed char) -1, +7*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +10*BLOW_UP, -15*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin20[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +11*BLOW_UP, -6*BLOW_UP, // mode, y, x
	(signed char) -1, -7*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +8*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +2*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +2*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) +0, -8*BLOW_UP, +5*BLOW_UP, // mode, y, x
	(signed char) -1, -18*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) +0, +18*BLOW_UP, -5*BLOW_UP, // mode, y, x
	(signed char) -1, -17*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) +1, -14*BLOW_UP, +5*BLOW_UP, // sync and move to y, x
	(signed char) +0, +17*BLOW_UP, -6*BLOW_UP, // mode, y, x
	(signed char) -1, -15*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) +0, +15*BLOW_UP, -10*BLOW_UP, // mode, y, x
	(signed char) -1, -14*BLOW_UP, +11*BLOW_UP, // draw, y, x
	(signed char) +0, -4*BLOW_UP, -6*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +2*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -6*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) -1, +18*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) +0, -14*BLOW_UP, +11*BLOW_UP, // mode, y, x
	(signed char) -1, +8*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, -16*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin21[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +9*BLOW_UP, -9*BLOW_UP, // mode, y, x
	(signed char) -1, -8*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +8*BLOW_UP, // draw, y, x
	(signed char) -1, +7*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +0*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) +0, -7*BLOW_UP, +7*BLOW_UP, // mode, y, x
	(signed char) -1, -15*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) +0, +15*BLOW_UP, -10*BLOW_UP, // mode, y, x
	(signed char) -1, -15*BLOW_UP, +10*BLOW_UP, // draw, y, x
	(signed char) +1, -13*BLOW_UP, +8*BLOW_UP, // sync and move to y, x
	(signed char) +0, +15*BLOW_UP, -10*BLOW_UP, // mode, y, x
	(signed char) -1, -11*BLOW_UP, +14*BLOW_UP, // draw, y, x
	(signed char) +0, +11*BLOW_UP, -14*BLOW_UP, // mode, y, x
	(signed char) -1, -10*BLOW_UP, +15*BLOW_UP, // draw, y, x
	(signed char) +0, -5*BLOW_UP, -5*BLOW_UP, // mode, y, x
	(signed char) -1, +0*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, -10*BLOW_UP, // draw, y, x
	(signed char) -1, +18*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) +0, -10*BLOW_UP, +15*BLOW_UP, // mode, y, x
	(signed char) -1, +9*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin22[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +7*BLOW_UP, -11*BLOW_UP, // mode, y, x
	(signed char) -1, -8*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, +7*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, -1*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, -2*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +2*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) -1, +3*BLOW_UP, -4*BLOW_UP, // draw, y, x
	(signed char) +0, -5*BLOW_UP, +8*BLOW_UP, // mode, y, x
	(signed char) -1, -13*BLOW_UP, +14*BLOW_UP, // draw, y, x
	(signed char) +0, +13*BLOW_UP, -14*BLOW_UP, // mode, y, x
	(signed char) -1, -12*BLOW_UP, +14*BLOW_UP, // draw, y, x
	(signed char) +1, -10*BLOW_UP, +11*BLOW_UP, // sync and move to y, x
	(signed char) +0, +12*BLOW_UP, -14*BLOW_UP, // mode, y, x
	(signed char) -1, -8*BLOW_UP, +17*BLOW_UP, // draw, y, x
	(signed char) +0, +8*BLOW_UP, -17*BLOW_UP, // mode, y, x
	(signed char) -1, -7*BLOW_UP, +17*BLOW_UP, // draw, y, x
	(signed char) +0, -6*BLOW_UP, -3*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, +4*BLOW_UP, +3*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -6*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -5*BLOW_UP, -9*BLOW_UP, // draw, y, x
	(signed char) -1, +18*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) +0, -7*BLOW_UP, +17*BLOW_UP, // mode, y, x
	(signed char) -1, +10*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, -3*BLOW_UP, -18*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};
const signed char ship_skin23[] IN_ROM =
{	(signed char) +1, +0*BLOW_UP, +0*BLOW_UP, // sync and move to y, x
	(signed char) +0, +3*BLOW_UP, -13*BLOW_UP, // mode, y, x
	(signed char) -1, -7*BLOW_UP, +4*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +6*BLOW_UP, // draw, y, x
	(signed char) -1, +6*BLOW_UP, -3*BLOW_UP, // draw, y, x
	(signed char) -1, -4*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, -1*BLOW_UP, +5*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, -5*BLOW_UP, // draw, y, x
	(signed char) +0, -2*BLOW_UP, +10*BLOW_UP, // mode, y, x
	(signed char) -1, -9*BLOW_UP, +16*BLOW_UP, // draw, y, x
	(signed char) +0, +9*BLOW_UP, -16*BLOW_UP, // mode, y, x
	(signed char) -1, -8*BLOW_UP, +17*BLOW_UP, // draw, y, x
	(signed char) +1, -7*BLOW_UP, +14*BLOW_UP, // sync and move to y, x
	(signed char) +0, +8*BLOW_UP, -17*BLOW_UP, // mode, y, x
	(signed char) -1, -3*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +0, +3*BLOW_UP, -18*BLOW_UP, // mode, y, x
	(signed char) -1, -2*BLOW_UP, +18*BLOW_UP, // draw, y, x
	(signed char) +0, -7*BLOW_UP, -2*BLOW_UP, // mode, y, x
	(signed char) -1, +1*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +5*BLOW_UP, +1*BLOW_UP, // draw, y, x
	(signed char) -1, +1*BLOW_UP, +0*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) -1, -7*BLOW_UP, -7*BLOW_UP, // draw, y, x
	(signed char) -1, +16*BLOW_UP, -9*BLOW_UP, // draw, y, x
	(signed char) +0, -2*BLOW_UP, +18*BLOW_UP, // mode, y, x
	(signed char) -1, +10*BLOW_UP, -2*BLOW_UP, // draw, y, x
	(signed char) -1, -8*BLOW_UP, -16*BLOW_UP, // draw, y, x
	(signed char) +2 // endmarker 
};


const SynchedListp ShipSkin = {
  (signed char *)ship_skin0
};

Synched_Listp_Object Ship = {
  SynchedList,
  0, 0, 0, SHIP_MOVE_SCALE, SHIP_DRAW_SCALE,
  (SynchedListp *)&ShipSkin
};

static const signed char *ShipSkins[] IN_ROM = {
  (const signed char *)ship_skin0,
  (const signed char *)ship_skin1,
  (const signed char *)ship_skin2,
  (const signed char *)ship_skin3,
  (const signed char *)ship_skin4,
  (const signed char *)ship_skin5,
  (const signed char *)ship_skin6,
  (const signed char *)ship_skin7,
  (const signed char *)ship_skin8,
  (const signed char *)ship_skin9,
  (const signed char *)ship_skin10,
  (const signed char *)ship_skin11,
  (const signed char *)ship_skin12,
  (const signed char *)ship_skin13,
  (const signed char *)ship_skin14,
  (const signed char *)ship_skin15,
  (const signed char *)ship_skin16,
  (const signed char *)ship_skin17,
  (const signed char *)ship_skin18,
  (const signed char *)ship_skin19,
  (const signed char *)ship_skin20,
  (const signed char *)ship_skin21,
  (const signed char *)ship_skin22,
  (const signed char *)ship_skin23
};

